<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <div class="text-center">
            <h1>Pricing</h1>
            <p>Choose a payment plan that works for you</p>

        </div>

        <div class="row mt-3">
            <div class="col-sm-4">
                <div class="card">
                    <div class="card-header text-center">
                        <h3>Basic</h3>
                    </div>
                    <div class="card-body text-center">
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><b>20 </b>Lorem</li>
                            <li class="list-group-item"><b>15 </b>Ipsum</li>
                            <li class="list-group-item"><b>5 </b>Dolor</li>
                            <li class="list-group-item"><b>2 </b>Sit</li>
                            <li class="list-group-item"><b>Endless </b>Amet</li>
                        </ul>
                    </div>
                    <div class="card-footer text-center">
                        <h4>$ 19</h4>
                        <p>per month</p>
                        <button class="btn btn-info" id="btn-basic">Sign up</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="card">
                    <div class="card-header text-center">
                        <h3>Pro</h3>
                    </div>
                    <div class="card-body text-center">
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><b>50 </b>Lorem</li>
                            <li class="list-group-item"><b>25 </b>Ipsum</li>
                            <li class="list-group-item"><b>10 </b>Dolor</li>
                            <li class="list-group-item"><b>5 </b>Sit</li>
                            <li class="list-group-item"><b>Endless </b>Amet</li>
                        </ul>
                    </div>
                    <div class="card-footer text-center">
                        <h4>$ 29</h4>
                        <p>per month</p>
                        <button class="btn btn-info" id="btn-pro">Sign up</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="card">
                    <div class="card-header text-center">
                        <h3>Premium</h3>
                    </div>
                    <div class="card-body text-center">
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><b>100 </b>Lorem</li>
                            <li class="list-group-item"><b>50 </b>Ipsum</li>
                            <li class="list-group-item"><b>25 </b>Dolor</li>
                            <li class="list-group-item"><b>10 </b>Sit</li>
                            <li class="list-group-item"><b>Endless </b>Amet</li>
                        </ul>
                    </div>
                    <div class="card-footer text-center">
                        <h4>$ 49</h4>
                        <p>per month</p>
                        <button class="btn btn-info" id="btn-premium">Sign up</button>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    $(document).ready(function () {
        $("#btn-basic").on("click", function () {
            onBtnBasic();
        })
        $("#btn-pro").on("click", function () {
            onBtnPro();
        })
        $("#btn-premium").on("click", function () {
            onBtnPremium();
        })

    })
    function onBtnBasic() {
        changeColorButton("Basic");

    }
    function onBtnPro() {
        changeColorButton("Pro");

    }
    function onBtnPremium() {
        changeColorButton("Premium");

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // doi mau button
    function changeColorButton(paramButton) {
        if (paramButton == "Basic") {
            $("#btn-basic")
                .removeClass()
                .addClass("btn btn-warning")
            $("#btn-pro")
                .removeClass()
                .addClass("btn btn-primary")
            $("#btn-premium")
                .removeClass()
                .addClass("btn btn-primary")

        }
        else if (paramButton == "Pro") {
            $("#btn-pro")
                .removeClass()
                .addClass("btn btn-warning")
            $("#btn-basic")
                .removeClass()
                .addClass("btn btn-primary")
            $("#btn-premium")
                .removeClass()
                .addClass("btn btn-primary")
        }
        else if (paramButton == "Premium") {
            $("#btn-premium")
                .removeClass()
                .addClass("btn btn-warning")

            $("#btn-pro")
                .removeClass()
                .addClass("btn btn-primary")
            $("#btn-basic")
                .removeClass()
                .addClass("btn btn-primary")
        }

    }


</script>

</html>